[ruby-cvs:62436] rhe:r55273 (trunk): openssl: avoid deprecated BN_*prime* functions

rhe at ruby-lang.org rhe at ruby-lang.org
Sat Jun 4 11:35:09 JST 2016


rhe	2016-06-04 11:35:09 +0900 (Sat, 04 Jun 2016)

  New Revision: 55273

  https://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=55273

  Log:
    openssl: avoid deprecated BN_*prime* functions
    
    * ext/openssl/ossl_bn.c (ossl_bn_s_generate_prime, ossl_bn_is_prime,
      ossl_bn_is_prime_fasttest): Avoid deprecated BN_generate_prime(),
      BN_is_prime{,_fasttest}(). They are deprecated because they expect an
      old style callback function (we don't use it here). They can be simply
      replaced by _ex suffixed functions.

  Modified files:
    trunk/ext/openssl/ossl_bn.c


More information about the ruby-cvs mailing list